## org.apache.xerces.impl.xs.models
Class XSCMRepeatingLeaf

    java.lang.Object
      |
      +--org.apache.xerces.impl.dtd.models.CMNode
            |
            +--org.apache.xerces.impl.xs.models.XSCMLeaf
                  |
                  +--org.apache.xerces.impl.xs.models.XSCMRepeatingLeaf

public final class XSCMRepeatingLeaf
extends XSCMLeaf

A compound content model leaf node which carries occurence information.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: $
Author:
  Michael Glavassevich, IBM

Constructor Summary
`XSCMRepeatingLeaf(int type, java.lang.Object leaf, int minOccurs, int maxOccurs, int id, int position)`

Methods inherited from class org.apache.xerces.impl.xs.models.XSCMLeaf
`calcFirstPos, calcLastPos, isNullable, toString`

Methods inherited from class org.apache.xerces.impl.dtd.models.CMNode
`firstPos, isCompactedForUPA, lastPos, setIsCompactUPAModel, setMaxStates, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSCMRepeatingLeaf

    public XSCMRepeatingLeaf(int type,
                             java.lang.Object leaf,
                             int minOccurs,
                             int maxOccurs,
                             int id,
                             int position)

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.